package main

import (
	"log"
	"os"
)

func createFile(fileContents string, filename string) {
	file, err := os.Create(filename)
	if err != nil {
		log.Fatalf("failed creating file %s: %s", filename, err)
	}
	defer file.Close()

	_, err = file.WriteString(fileContents)
	if err != nil {
		log.Fatalf("failed writing to file %s: %s", filename, err)
	}
}

func removeFile(file string) {
	e := os.Remove(file)
	if e != nil {
		log.Fatal(e)
	}

}
